--- /dev/null
+#!/bin/bash
+# chkconfig: 3 21 91
+# Source function library.
+. /lib/init/vars.sh
+. /lib/lsb/init-functions
+
+PATH=/sbin:/bin:/usr/bin:/usr/sbin
+
+# change theses values (default values)
+GITBLIT_PATH=/opt/gitblit
+GITBLIT_USER="gitblit"
+ARGS="-server -Xmx1024M -jar gitblit.jar"
+
+RETVAL=0
+
+case "$1" in
+ start)
+ if [ -f $GITBLIT_PATH/gitblit.jar ];
+ then
+ echo $"Starting gitblit server"
+ start-stop-daemon --start --quiet --background --oknodo --make-pidfile --pidfile /var/run/gitblit.pid --exec /usr/bin/java --chuid $GITBLIT_USER --chdir $GITBLIT_PATH -- $ARGS
+ exit $RETVAL
+ fi
+ ;;
+
+ stop)
+ if [ -f $GITBLIT_PATH/gitblit.jar ];
+ then
+ echo $"Stopping gitblit server"
+ start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/gitblit.pid
+ exit $RETVAL
+ fi
+ ;;
+
+ force-reload|restart)
+ $0 stop
+ $0 start
+ ;;
+
+ *)
+ echo $"Usage: /etc/init.d/gitblit {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit $RETVAL
\ No newline at end of file
**New:** *git.onlyAccessBareRepositories = false*\r
- Added *protect-refs.groovy* (Github/plm) \r
- Allow setting default branch (relinking HEAD) to a branch or a tag (Github/plm)\r
+- Added Ubuntu service init script (issue 72)\r
\r
#### fixes \r
\r